# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/pipfile.ipynb.

# %% auto 0
__all__ = ['write_pipfile']

# %% ../nbs/pipfile.ipynb 3
from nbdev.config import get_config

# %% ../nbs/pipfile.ipynb 4
import re
def _to_pipfile_nv(namever):
    m = re.search('^([a-z0-9_]+)(.*)$', namever)
    if m:
        n, v = m.group(1), m.group(2)
        return f'{n}="{v}"' if v else f'{n}="*"'
    else:
        return ''

def _to_pipfile_list(nv_list):
    return '\n'.join([_to_pipfile_nv(nv) for nv in nv_list.split(' ')])

def write_pipfile(directory=None):
    "Writes a `Pipfile` file to `directory` based on settings.ini."
    cfg = get_config()
    d = Path(directory) if directory else cfg.config_path
    req = '[[source]]\nurl = "https://pypi.python.org/simple"\nverify_ssl = true\nname = "pypi"\n'
    req += '\n[packages]\n' + '\n'.join([_to_pipfile_list(cfg.get(k, '')) for k in ['requirements', 'pip_requirements']]) + '\n'
    req += '\n[dev-packages]\n' + _to_pipfile_list(cfg.get('dev_requirements', '')) + '\n'
    (d/'Pipfile').mk_write(req)
